> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.fortresstech.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.fortresstech.io/_mcp/server.

# Create Deposit

POST https://api.fortresstech.io/v1/deposits

Available by RequestCreate a new deposit record for a customer. This endpoint allows you to track security deposits, pet deposits, and other deposit types associated with a lease or rental agreement.This endpoint is part of our evolving API ecosystem.
To explore availability for your integration, please contact our team.

Reference: https://developer.fortresstech.io/api-reference/deposits/create-deposit

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Response

### 200

The created deposit

- `total` (double, optional)
- `fiscalPeriod` (string, optional)
- `id` (string, optional)
- `readableId` (string, optional)
- `idempotencyId` (string, optional)
- `createdAt` (datetime, optional)
- `updatedAt` (datetime, optional)
- `deletedAt` (datetime, optional)
- `propertyId` (string, optional)
- `organizationId` (string, optional)
- `property` (properties_components-schemas-Base, optional)
- `transactions` (list of transactions_components-schemas-Base, optional)

## Types

### properties_components-schemas-Base

- `name` (string, optional)
- `shortName` (string, optional)
- `email` (string, optional)
- `phone` (string, optional)
- `physicalStreetAddress1` (string, optional)
- `physicalStreetAddress2` (string, optional)
- `physicalCity` (string, optional)
- `physicalState` (string, optional)
- `physicalZip` (string, optional)
- `physicalCountry` (string, optional)
- `mailingStreetAddress1` (string, optional)
- `mailingStreetAddress2` (string, optional)
- `mailingCity` (string, optional)
- `mailingState` (string, optional)
- `mailingZip` (string, optional)
- `mailingCountry` (string, optional)
- `phoneNumber` (string, optional)
- `faxNumber` (string, optional)
- `timezone` (string, optional)
- `longitude` (double, optional)
- `latitude` (double, optional)
- `turnMoveOutDays` (integer, optional) — Number of days after move-out to calculate make ready date
- `status` (enum, optional, nullable) — Property lifecycle status. Fortress aggregates occupancy only for ACTIVE properties.
  - Allowed values: `ACTIVE`, `INACTIVE`, `PENDING`
- `propertyClass` (enum, optional, nullable) — The property's class. Null for properties with no class assigned.
  - Allowed values: `Conventional`, `Affordable`, `Mixed`
- `organizationId` (string, optional)
- `id` (string, optional)
- `readableId` (string, optional)
- `idempotencyId` (string, optional)
- `createdAt` (datetime, optional)
- `updatedAt` (datetime, optional)
- `deletedAt` (datetime, optional)
- `offboardedAt` (datetime, optional)
- `countyName` (string, optional)
- `acquisitionDate` (datetime, optional)

### transactions_components-schemas-Base

- `id` (string, optional)
- `readableId` (string, optional) — The readable ID for the transaction
- `customerId` (string, optional) — The ID of the customer associated with the transaction
- `householdId` (string, optional) — The ID of the household associated with the transaction
- `propertyId` (string, optional) — The ID of the property associated with the transaction
- `organizationId` (string, optional) — The ID of the organization associated with the transaction
- `depositId` (string, optional) — The ID of the deposit associated with the transaction
- `date` (datetime, optional)
- `amount` (double, optional)
- `note` (string, optional) — Notes about the transaction
- `code` (string, optional) — The code for the transaction
- `subjournal` (enum, optional) — The subjournal for the transaction
  - Allowed values: `RESIDENT`, `SUBSIDY`
- `ledger` (enum, optional) — The ledger for the transaction
  - Allowed values: `RESIDENT`, `SECURITY`
- `fiscalPeriod` (string, optional) — The fiscal period for the transaction
- `isPaid` (boolean, optional) — Whether the transaction is paid
- `type` (enum, optional) — The type of the transaction
  - Allowed values: `CREDIT`, `CHARGE`, `PAYMENT`, `RECONCILIATION`, `OTHER`, `SECURITY_CHARGE`, `SECURITY_PAYMENT`, `MISC_CHARGE`, `SECURITY_CREDIT`
- `reversedTransactionId` (string, optional) — The ID of the reversed transaction
- `runningBalanceAmount` (double, optional) — The running balance amount after the transaction
- `paymentDate` (datetime, optional) — The date the charge was paid
- `createdAt` (datetime, optional)
- `updatedAt` (datetime, optional)
- `deletedAt` (datetime, optional)

## Examples

**Response**

```json
{
  "total": 1.1,
  "fiscalPeriod": "string",
  "id": "string",
  "readableId": "string",
  "idempotencyId": "string",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-01-15T09:30:00Z",
  "deletedAt": "2024-01-15T09:30:00Z",
  "propertyId": "string",
  "organizationId": "string",
  "property": {
    "name": "string",
    "shortName": "string",
    "email": "string",
    "phone": "string",
    "physicalStreetAddress1": "string",
    "physicalStreetAddress2": "string",
    "physicalCity": "string",
    "physicalState": "string",
    "physicalZip": "string",
    "physicalCountry": "string",
    "mailingStreetAddress1": "string",
    "mailingStreetAddress2": "string",
    "mailingCity": "string",
    "mailingState": "string",
    "mailingZip": "string",
    "mailingCountry": "string",
    "phoneNumber": "string",
    "faxNumber": "string",
    "timezone": "string",
    "longitude": 1.1,
    "latitude": 1.1,
    "turnMoveOutDays": 1,
    "status": "ACTIVE",
    "propertyClass": "Conventional",
    "organizationId": "string",
    "id": "string",
    "readableId": "string",
    "idempotencyId": "string",
    "createdAt": "2024-01-15T09:30:00Z",
    "updatedAt": "2024-01-15T09:30:00Z",
    "deletedAt": "2024-01-15T09:30:00Z",
    "offboardedAt": "2024-01-15T09:30:00Z",
    "countyName": "string",
    "acquisitionDate": "2024-01-15T09:30:00Z"
  },
  "transactions": [
    {
      "id": "string",
      "readableId": "string",
      "customerId": "string",
      "householdId": "string",
      "propertyId": "string",
      "organizationId": "string",
      "depositId": "string",
      "date": "2024-01-15T09:30:00Z",
      "amount": 1.1,
      "note": "string",
      "code": "string",
      "subjournal": "RESIDENT",
      "ledger": "RESIDENT",
      "fiscalPeriod": "string",
      "isPaid": true,
      "type": "CREDIT",
      "reversedTransactionId": "string",
      "runningBalanceAmount": 1.1,
      "paymentDate": "2024-01-15T09:30:00Z",
      "createdAt": "2024-01-15T09:30:00Z",
      "updatedAt": "2024-01-15T09:30:00Z",
      "deletedAt": "2024-01-15T09:30:00Z"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.fortresstech.io/v1/deposits"

headers = {"x-api-key": "<apiKey>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.fortresstech.io/v1/deposits';
const options = {method: 'POST', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.fortresstech.io/v1/deposits"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.fortresstech.io/v1/deposits")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.fortresstech.io/v1/deposits")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.fortresstech.io/v1/deposits', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.fortresstech.io/v1/deposits");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.fortresstech.io/v1/deposits")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```